# Uses of Class
org.codehaus.janino.Java.PackageDeclaration

Packages that use Java.PackageDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.PackageDeclaration in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.PackageDeclaration
Modifier and Type
Field
Description
`Java.PackageDeclaration`
Java.CompilationUnit.`packageDeclaration`
The package declaration at the very top of this compilation unit (if any).
Methods in org.codehaus.janino that return Java.PackageDeclaration
Modifier and Type
Method
Description
`Java.PackageDeclaration`
Parser.`parsePackageDeclaration()`
PackageDeclaration := 'package' QualifiedIdentifier ';'
`Java.PackageDeclaration`
Parser.`parsePackageDeclarationRest(String docComment, Java.Modifier[] modifiers)`
PackageDeclaration := { PackageModifier } 'package' identifier { '.' identifier} ';'
Methods in org.codehaus.janino with parameters of type Java.PackageDeclaration
Modifier and Type
Method
Description
`void`
Java.CompilationUnit.`setPackageDeclaration(Java.PackageDeclaration packageDeclaration)`
Sets the package declaration of this compilation unit.

## Uses of Java.PackageDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.PackageDeclaration
Modifier and Type
Method
Description
`Java.PackageDeclaration`
DeepCopier.`copyOptionalPackageDeclaration(Java.PackageDeclaration subject)`
`Java.PackageDeclaration`
DeepCopier.`copyPackageDeclaration(Java.PackageDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.PackageDeclaration
Modifier and Type
Method
Description
`Java.PackageDeclaration`
DeepCopier.`copyOptionalPackageDeclaration(Java.PackageDeclaration subject)`
`Java.PackageDeclaration`
DeepCopier.`copyPackageDeclaration(Java.PackageDeclaration subject)`